microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Padparameters
name
string
vereist
The name of the skill.
version
string
vereist
The version identifier to delete.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Antwoorden
The request has succeeded.
Hoofdtekst
Content-Type: application/json
id
string
vereist
The unique identifier of the deleted skill version.
name
string
vereist
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
vereist
Whether the skill version was successfully deleted.
version
string
vereist
The version that was deleted.
Aanvraag
DELETE /skills/{name}/versions/{version} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json